Carter Roeser Carter Roeser - 12 days ago 7
MySQL Question

PDO shown as "Not Installed" in Froxlor

I am trying to install froxlor on Ubuntu 14.04 and have already installed the PHP5 MYSQL PDO Extension.

When running code:

php -i|grep PDO


It results in

PDO
PDO support => enabled
PDO drivers => mysql
PDO Driver for MySQL => enabled


But froxlor shows the PDO Extension as "Not Installed".
Curl is also installed and is shown as "Not Installed".

If it helps any here is a piccture of the install result page: Google Drive

Is there any way to fix this?

Answer

There are at least three different php.ini files when using php on Ubuntu.

/etc/php5/cli/php.ini
/etc/php5/apache2/php.ini
/etc/php5/cgi/php.ini

They can differ and depending on how php is invoked one or the other .ini file is used.
phpinfo() / php -i can tell you which one was used.

Comments